<script>
  
  import { json } from "d3-fetch";
  import { onMount } from "svelte";
  import Spiderplot from "./_design_2_circleplot.svelte";

  const s1 = {
    city: "Chicago",
  };

  const s2 = {
    city: "Baltimore",
  };

  const s3 = {
    city: "Los Angeles",
  };

  const width = 600;
  const height = 250;
  const margin = { top: 10, right: 10, bottom: 10, left: 10 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  let data = null;
  onMount(async () => {
    data = await json("/data/daily_heating_cooling.json");
  });

</script>


{#if !data}
  <p>Loading the data, please wait...</p>
{:else}

  <Spiderplot data={data} {...s1}/>
  <Spiderplot data={data} {...s2}/>
  <Spiderplot data={data} {...s3}/>


{/if}

